Public Member Functions | Data Fields

# SignalVM Struct Reference

## Public Member Functions
void | Execute ()
## Data Fields
uint | num_exits
| Number of exits from block.
uint | num_green
| Number of green exits from block.
SignalProgram * | program
| The program being run.
SignalInstruction * | instruction
| Instruction to execute next.
SignalState | state

## Detailed Description

Definition at line 44 of file programmable_signals.cpp.

The documentation for this struct was generated from the following file:

- src/programmable_signals.cpp